# PetscOptionsPrint

Prints the options that have been loaded. This is useful for debugging purposes.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscOptionsPrint(FILE *fd)

Collective on PETSC_COMM_WORLD

### Input Parameter

FILE fd - location to print options (usually stdout or stderr)

### Options Database Key

-optionstable - Activates PetscOptionsPrint() within PetscFinalize()

### See Also

PetscOptionsAllUsed()

Level:advanced
Location: src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages